| ontogetsibs

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Get ontology term(s) by id with common parent

## Description

ontogetsibs finds ontology terms matching a query. All siblings of the term (i.e. sharingh the same parent by 'is_a' (class/subclass) relationships, are returned. The information may be written to an output file in various formats.

## Usage

Here is a sample session with ontogetsibs

    % ontogetsibs edam:0575
    Get ontology term(s) by id with common parent
    Obo output file [0575.obo]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Get ontology term(s) by id with common parent
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-oboterms]          obo        Obo term filename and optional format, or
                                      reference (input query)
      [-outfile]           outobo     [*.ontogetsibs] Output ontology term file
                                      name

       Additional (Optional) qualifiers:
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-oboterms" associated qualifiers
       -iformat1           string     Input obo format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -idbname1           string     User-provided database name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Ontology term output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-oboterms] (Parameter 1) | obo | Obo term filename and optional format, or reference (input query) | OBO bio-ontology term(s) |
[-outfile] (Parameter 2) | outobo | Output ontology term file name | OBO ontology term(s) | <*>.ontogetsibs
Additional (Optional) qualifiers
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-oboterms" associated obo qualifiers
-iformat1 -iformat_oboterms | string | Input obo format | Any string |
-iquery1 -iquery_oboterms | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_oboterms | integer | Input start position offset | Any integer value | 0
-idbname1 -idbname_oboterms | string | User-provided database name | Any string |
"-outfile" associated outobo qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Ontology term output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

The input is a standard EMBOSS ontology query.

The major ontology sources defined as standard in EMBOSS installations are EDAM, GO (gene Ontology) and SO (Sequence Ontology).

Data can also be read from ontology output in "obo" format written by an EMBOSS application.

### Input files for usage example

### Database entry: edam:0575

    [Term]
    id: EDAM_operation:0575
    name: Restriction map rendering
    namespace: operation
    def: Visualise restriction maps in DNA sequences.
    subset: bioinformatics
    subset: edam
    subset: operations
    created_in: "beta12orEarlier"
    is_a: EDAM_operation:0431 ! Restriction site recognition
    is_a: EDAM_operation:0573 ! Map rendering
    relationship: has_output EDAM_data:1289 ! Restriction map

## Output file format

The output is a standard EMBOSS ontology term file.

The results can be output in one of several styles by using the command-line qualifier `-oformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: obo, brief, list, html, xml, json, excel.

See: http://emboss.sf.net/docs/themes/OntologyFormats.html for further information on ontology formats.

### Output files for usage example

### File: 0575.obo

    [Term]
    id: EDAM_operation:0575
    name: Restriction map rendering
    namespace: operation
    def: Visualise restriction maps in DNA sequences.
    subset: bioinformatics
    subset: edam
    subset: operations
    created_in: "beta12orEarlier"
    is_a: EDAM_operation:0431 ! Restriction site recognition
    is_a: EDAM_operation:0573 ! Map rendering
    relationship: has_output EDAM_data:1289 ! Restriction map

    [Term]
    id: EDAM_operation:0579
    name: Operon rendering
    namespace: operation
    def: Visualise operon structure etc.
    subset: bioinformatics
    subset: edam
    subset: operations
    created_in: "beta12orEarlier"
    is_a: EDAM_operation:0573 ! Map rendering
    relationship: has_topic EDAM_topic:0109 ! Gene finding

    [Term]
    id: EDAM_operation:0578
    name: DNA circular map rendering
    namespace: operation
    def: Draw a circular maps of DNA, for example a plasmid map.
    subset: bioinformatics
    subset: edam
    subset: operations
    created_in: "beta12orEarlier"
    is_a: EDAM_operation:0573 ! Map rendering

## Data files

The EDAM Ontology is included in EMBOSS as local database edam.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
godef | Find GO ontology terms by definition
goname | Find GO ontology terms by name
ontocount | Count ontology term(s)
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None